<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHP-Fusion.us
| Dev: PHPFusionMods.org
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  /
| | |\  |  __/ |_| |  | |/  \
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

require_once THEMES . "templates/admin_header.php";

if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] != iAUTH || !iADMIN) {
    redirect("index.php") . die("Access Denied");
}

include INFUSIONS . "video/infusion_db.php";

require_once INCLUDES . "bbcode_include.php";

include "inc.php";

dbquery("UPDATE " . DB_ADMIN . " SET admin_link = '../infusions/video/admin.php' WHERE admin_rights = 'NXV'");
$success    = false;
$file_image = "";
$admin      = dbquery("SELECT * FROM " . DB_VIDEO_SET . " LIMIT 0,1");

while ($d = dbarray($admin)) {
    $maxs       = $d['maxsize'];
    $auto       = $d['auto'];
    $columns    = $d['columns'];
    $sub_access = $d['sub_access'];
    $sub_enable = $d['sub_enable'];
    $t_width    = $d['t_width'];
    $t_height   = $d['t_height'];
    $maxi       = $d['items'];
    $video_type = $d['video_type'];
}

if (isset($_POST['update'])) {
    $maxs       = preg_replace('/[^0-9 ]/i', '', $_POST['maxs']);
    $t_height   = preg_replace('/[^0-9 ]/i', '', $_POST['t_height']);
    $t_width    = preg_replace('/[^0-9 ]/i', '', $_POST['t_width']);
    $auto       = preg_replace('/[^A-Z ]/i', '', $_POST['autostart']);
    $columns    = preg_replace('/[^0-9 ]/i', '', $_POST['columns']);
    $maxi       = preg_replace('/[^0-9 ]/i', '', $_POST['maxi']);
    $sub_access = (int) $_POST['sub_access'];
    $sub_enable = (int) $_POST['sub_enable'];
    $video_type = stripinput($_POST['video_type']);
    $update     = dbquery("UPDATE " . DB_VIDEO_SET . " SET maxsize='$maxs', auto='$auto', columns='$columns', sub_access='$sub_access', sub_enable='$sub_enable', items='$maxi', t_height='$t_height', t_width='$t_width', video_type='$video_type' WHERE netrix='netrix'");
    $success    = true;
}

opentable($locale['va_settings']);
echo $netrixNav;

if ($success) {
    echo "<div id='close-message' style='width: 450px; margin: 0 auto;'><div class='admin-message'>{$locale['a_update']}</div></div>\n";
}

echo "<form name='form_settings' id='form_settings' method='post' action='" . FUSION_SELF . $aidlink . "' enctype='multipart/form-data'>\n";
echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='450'>\n";
echo "<tr><td class='forum-caption' colspan='2'>";
echo "<div style='float:right'><a href='http://www.php-fusion.us' title='' target='_blank' />v{$version} - {$locale['c_updates']}</a></div>{$locale['a_global']}</td>\n";
echo "</tr>\n<tr>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1'>{$locale['v_max']}</td>\n";
echo "<td class='tbl1'><input type='text' class='textbox' name='maxs' style='width:250px' value='{$maxs}' /><br />";
echo "{$locale['b_only']} ({$maxs} bytes = " . parsebytesize($maxs) . ")<br />\n";
echo (ini_get('file_uploads') ? $locale['u_allowed'] . " (" . ini_get('upload_max_filesize') . "B)" : $locale['u_not_allowed']) . "<br />\n";
echo "{$locale['ini_1']} " . ini_get('post_max_size') . "<br />\n";
echo "{$locale['ini_2']} " . ini_get('max_input_time') . "</td>";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2'>{$locale['a_columns']}</td>\n";
echo "<td class='tbl2'>\n";
echo "<select name='columns' class='textbox' style='width:250px' >\n";
echo "<option value='1'" . ($columns == 1 ? " selected='selected'" : "") . ">1</option>\n";
echo "<option value='2'" . ($columns == 2 ? " selected='selected'" : "") . ">2 ({$locale['a_default']})</option>\n";
echo "<option value='3'" . ($columns == 3 ? " selected='selected'" : "") . ">3</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1'>{$locale['v_items_p_page']}</td>\n";
echo "<td class='tbl1'><input type='text' class='textbox' name='maxi' style='width:250px' value='{$maxi}' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2'>{$locale['v_thumb_d']}</td>\n";
echo "<td class='tbl2'>";
echo "<table cellspacing='0' cellpadding='1'><tr>";
echo "<td width='50%'><input type='text' class='textbox' name='t_width' style='width:117px' value='{$t_width}' /> x </td>";
echo "<td width='50%'><input type='text' class='textbox' name='t_height' style='width:117px' value='{$t_height}' /></td>";
echo "</tr><tr><td width='50%'>{$locale['v_thumb_w']}</td><td width='50%'>{$locale['v_thumb_h']}</td></tr></table></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='2'>{$locale['p_set']}</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1'>{$locale['a_auto']}</td>\n";
echo "<td class='tbl1'>";
echo "<select name='autostart' class='textbox' style='width:250px' >\n";
echo "<option value='false'" . ($auto == "false" ? "selected='selected'" : "") . ">False</option>\n";
echo "<option value='true'" . ($auto == "true" ? "selected='selected'" : "") . ">True ({$locale['a_default']})</option>\n";
echo "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2'>{$locale['def_vid_type']}</td>\n";
echo "<td class='tbl2'>";
echo "<input type='radio' name='video_type' value='file'" . ($video_type == "file" ? " checked='checked'" : "") . " />{$locale['type_file']}\n";
echo "<input type='radio' name='video_type' value='url'" . ($video_type == "url" ? " checked='checked'" : "") . " />{$locale['type_url']}\n";
echo "<input type='radio' name='video_type' value='youtube'" . ($video_type == "youtube" ? " checked='checked'" : "") . " />{$locale['type_youtube']}\n";
echo "<input type='radio' name='video_type' value='custom'" . ($video_type == "custom" ? " checked='checked'" : "") . " />{$locale['type_custom']}\n";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='forum-caption' colspan='2'>{$locale['v_rights']}</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1'>{$locale['v_rights_allow']}</td>\n";
echo "<td class='tbl1'>";
echo "<input type='radio' name='sub_enable' value='1'" . ($sub_enable == 1 ? " checked='checked'" : "") . " />{$locale['yes']}\n";
echo "<input type='radio' name='sub_enable' value='0'" . ($sub_enable == 0 ? " checked='checked'" : "") . " />{$locale['no']}\n";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl2'>{$locale['v_rights_enable']}</td>\n";
echo "<td class='tbl2'>";
$user_groups = getusergroups();
$access_opts = "";
$sel         = "";

while (list($key, $user_group) = each($user_groups)) {
    $sel = ($sub_access == $user_group['0'] ? " selected='selected'" : "");
    $access_opts .= ($user_group['0'] == 0 ? "" : "<option value='" . $user_group['0'] . "'$sel>" . $user_group['1'] . "</option>\n");
}

echo "<select name='sub_access' class='textbox' style='width:150px;'>\n" . $access_opts . "</select>";
echo "</td>\n";
echo "</tr>\n<tr>\n";
echo "<td colspan='2' class='forum-caption' align='center'>\n";
echo "<input type='submit' name='update' value='{$locale['a_save']}' class='button' />\n";
echo "</td>\n</tr>\n</table>\n";
echo "</form>\n";
closetable();
require_once THEMES . "templates/footer.php";

?>