<?php	
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."video/locale/".$settings['locale'].".php")) {
    include INFUSIONS."video/locale/English.php";
	include INFUSIONS."video/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video/locale/English.php";
}

include INFUSIONS . "video/infusion_db.php";
include INFUSIONS . "video/inc.php";
require_once INCLUDES . "bbcode_include.php";


// 7 Days Ago
$time_m = time() - (7 * 24 * 60 * 60);

opentable($locale['latest-videos']);
$result = dbquery("SELECT v.*, vc.*, u.user_id, u.user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes FROM " .
        DB_VIDEO . " v
LEFT JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
LEFT JOIN " . DB_USERS . " u ON u.user_id=v.uid
LEFT JOIN " . DB_RATINGS .
        " tr ON tr.rating_item_id = v.id AND tr.rating_type='V'
WHERE " . groupaccess('vc.cat_access') . " GROUP BY v.id ORDER BY time DESC LIMIT 0,5");
if (dbrows($result)) {        
    echo "<table style='width: 100%; padding: 2px;' cellspacing='1'>\n<tr>\n";
    echo "<td class='forum-caption' style='width: 79%' colspan='2'>{$locale['424x']}</td>";
    echo "<td class='forum-caption' style='width: 20%; text-align: center;'>{$locale['v_author_info']}</td>";
    echo "<td class='forum-caption' style='width: 1%; text-align: center;'>{$locale['v_views_info']}</td>\n</tr>\n";
    while ($data = dbarray($result)) {
        //var_dump($data);                
        $tbl = ($i % 2 == 0 ? "tbl1" : "tbl2");
        echo "<tr>\n";
        echo "<td class='{$tbl}' style='width: 1%'>";
        echo "<a href='".INFUSIONS."video/video.php?id=" . $data['id'] . "'>";
            if ($data['video_type'] == "youtube" && $data['url']) {
                echo "<img src='{$purl}img.youtube.com/vi/{$data['url']}/default.jpg' alt='' style='border:0; width: 90px; height: 51px;' />\n";
            } elseif (!empty($data['file_image_thumb']) && file_exists(INFUSIONS."video/images/" . $data['file_image_thumb'])) {
                echo "<img src='".INFUSIONS."video/images/" . $data['file_image_thumb'] .
                    "' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
            } else {
                echo "<img src='".INFUSIONS."video/images/cat_images/cat1.png' alt='' style='border:0; width: 90px; height: 51px;' />\n";
            }        
        echo "</td>\n";
        echo "<td class='{$tbl}' style='font-size: 14px'>" . ($time_m < $data['time'] ?
            "<b style='color: green'>NEW -</b> " : "");
        echo "<a href='".INFUSIONS."video/video.php?id=" . $data['id'] . "'><b>" . trimlink($data['name'], 50) . "</b></a><br />\n";
        echo "<small style='font-size: 12px;'>Added " . showdate("shortdate", $data['time']) . " in {$data['cat_name']}</small></td>\n";
        echo "<td class='{$tbl}' style='text-align: center;'>" . profile_link($data['user_id'], $data['user_name'],
            $data['user_status']) . "</td>";
        echo "<td class='{$tbl}' style='text-align: center;'>" . number_format($data['views']);
        //echo ($data['allow_ratings'] ? "" . ($data['count_votes'] > 0 ? str_repeat("<img src='" .
        //        get_image("star") . "' alt='*' style='vertical-align:middle; width: 13px; height: 13px;' />",
        //        ceil($data['sum_rating'] / $data['count_votes'])) : "<small>" . $locale['n_y_r'] .
        //        "</small>") : "<small>" . $locale['n_y_r'] . "</small>");
        echo "</td></tr>\n";
        $i++;
    }
    echo "</table>\n";
}
closetable();
?>