<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHP-Fusion.us
| Dev: PHPFusionMods.org
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

$access = 0;
$count  = 1;

$submit = "";

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
    $_GET['rowstart'] = 0;
}
$tvids = dbcount("(cat_id)", DB_VIDEO);

opentable($locale['top_rated_videos']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n";
echo "<tr><td class='tbl2' width='50%' style='vertical-align: middle;'>";
echo "<img src='images/cat_images/cat1.png' alt='' style='border:0; width: 57px; height: 32px; vertical-align:middle; float: left; margin-right: 5px;' />\n";
echo "<span style='font-size: 15px; font-weight: bold;'>{$locale['top_rated_videos']}</span><br />";
echo "<span style='font-size: 10px; font-weight: bold;'>{$locale['v_tot']} " . number_format($tvids) . "</span>";
echo "</td>\n<td class='tbl2' width='50%'>";
echo "<div style='text-align:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
echo "<input type='text' name='find' style='width:150px' class='textbox'>&ensp;";
echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
echo "</form></div>";
echo "</td>\n</tr>\n</table>";
include_once "nav.php";
$result = dbquery("SELECT v.*, vc.*, u.user_id, u.user_name, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes FROM " . DB_VIDEO . " v
LEFT JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
LEFT JOIN " . DB_USERS . " u ON u.user_id=v.uid
LEFT JOIN " . DB_RATINGS . " tr ON tr.rating_item_id = v.id AND tr.rating_type='V'
WHERE " . groupaccess('vc.cat_access') . " AND tr.rating_vote > '0' GROUP BY v.id ORDER BY sum_rating DESC LIMIT " . $_GET['rowstart'] . ",{$maxi}");
$rows   = dbrows($result);
$rows2  = dbcount("(id)", DB_VIDEO . " WHERE views > 0");
if ($rows) {
    $counter = 0;
    $count   = 1;
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>";
    while ($data = dbarray($result)) {
        if ($counter != 0 && ($counter % $columns == 0)) {
            echo "</tr>\n<tr>\n";
        }
        echo "<td valign='top' class='tbl' style='padding: 0; width:{$colwidth};'>";
        echo "<table cellpadding='0' cellspacing='1' width='100%' class='center'>\n";
        echo "<tr><td colspan='3' class='forum-caption'>";
        echo "#{$count} - <a href='video.php?id=" . $data['id'] . "'>" . trimlink($data['name'], 60) . "</a>\n";
        echo "</td></tr>";
        echo "<tr><td rowspan='2' class='tbl' valign='top'>";
        echo "<a href='video.php?id=" . $data['id'] . "'>";
        if ($data['video_type'] == "youtube" && $data['url']) {
            echo "<img src='{$purl}img.youtube.com/vi/{$data['url']}/default.jpg' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
        } elseif (!empty($data['file_image_thumb']) && file_exists("images/" . $data['file_image_thumb'])) {
            echo "<img src='images/" . $data['file_image_thumb'] . "' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
        } else {
            echo "<img src='images/cat_images/cat1.png' alt='' style='border:0; width: {$t_width}px; height: {$t_height}px;' />\n";
        }
        echo "</a></td><td valign='top' class='tbl' colspan='2'>";
        if ($data['description'] != "") {
            $data['description'] = strip_bbcodes($data['description']);
            $data['description'] = trimlink($data['description'], 100);
            echo parseubb(parsesmileys($data['description']), "b|i|u|small|url|mail|img|color");
        } else {
            echo $locale['no_description_p'];
        }
        echo "</td></tr><tr><td width='50%' class='tbl' valign='bottom'><small>";
        echo number_format($data['views']) . " " . $locale['v_tv'] . "</small><br />\n";
        echo ($data['allow_ratings'] ? "" . ($data['count_votes'] > 0 ? str_repeat("<img src='" . get_image("star") . "' alt='*' style='vertical-align:middle; width: 13px; height: 13px;' />", ceil($data['sum_rating'] / $data['count_votes'])) : "<small>" . $locale['n_y_r'] . "</small>") : "<small>" . $locale['n_y_r'] . "</small>");
        echo "</td><td width='50%' class='tbl' valign='bottom'>";
        echo "<small><b>{$locale['video_author']} <a href='../../profile.php?lookup=" . $data['user_id'] . "' target='_self'>" . trimlink($data['user_name'], 12) . "</a></b></small><br />";
        echo "<small>" . showdate("shortdate", $data['time']) . "</small>";
        echo "</td></tr></table>";
        echo "</td>\n";
        $counter++;
        $count++;
    }
    echo "</tr>\n</table>\n";
    if ($rows2 > $maxi) {
        echo "<div align='center' style=';margin-top:5px;'>\n" . makepagenav($_GET['rowstart'], $maxi, $rows2, 3, FUSION_SELF . "?") . "\n</div>\n";
    }
} else {
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
    echo "<td class='forum-caption' style='text-align:center; padding: 10px;'>" . $locale['no_rated_videos'] . "</td>";
    echo "</tr></table>";
}
footer();
closetable();

require_once THEMES . "templates/footer.php";

?>